/** @file
 *
 * @brief Dfinitions globales
 * @date 2003-2004
 * @author L'quipe Unitec, http://ae.utbm.fr/unitec/
 * @note Code ralis pour la Coupe de France de Robotique 2004
 */

#ifndef __GLOBAL_H__
#define __GLOBAL_H__

/** La fameuse constante pi ;-) */
#define PI 3.1415926535

/** Constante dfinissant le rouge pour la fonction camera_track_color.
 * @see camera.c
 */
#define RED_COLOR 1

/** Constante dfinissant le vert pour la fonction camera_track_color.
 * @see camera.c
 */
#define GREEN_COLOR 2   

/** Constante dfinissant le noir pour la fonction camera_track_color.
 * @see camera.c
 */
#define BLACK_COLOR 3
        
/** Constante dfinissant une vitesse de rotation normale pour la
 *  fonction Initialisation_asservissement.
 * @see asserv.c
 */
#define ROTATION_VITESSE_NORMALE 1000

/** Constante dfinissant une vitesse de rotation normale pour la
 *  fonction Initialisation_asservissement.
 * @see asserv.c
 */
#define ROTATION_VITESSE_LENTE   300        
        
/* Fonctions dfinies dans camera.c */
void serial_port_init(void);
int serial_command_wait(void);
int serial_receive_m_command(int *x, int *y, int *confidence);
void camera_track_color(int color);
void camera_pm_mode(int mode);
void camera_led_change_mode(int mode);
void camera_reset(void);
void camera_settings(void);

/* Fonctions dfinies dans telem.c */
void init_telemetre(void);
int valeur_telemetre(void); 

                                                                       
/** tat de l'asservissement : le robot est bloqu 
 *
 * @see asserv.c
 */
#define ASSERV_BLOCK (-1)

/** tat de l'asservissement : le robot est  l'arrt
 *
 * @see asserv.c
 */
#define ASSERV_IDLE (0)

/** tat de l'asservissement : le robot est en cours de dplacement.
 *
 * @see asserv.c
 */
#define ASSERV_RUNNING (1)

#endif
